Bug 139896 - Enable SELinux support in the system monitor spec file
Summary: Enable SELinux support in the system monitor spec file
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, FutureFeature, SELinux
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-11-18 17:59 UTC by Dave Malcolm
Modified: 2013-03-06 03:42 UTC (History)
1 user (show)

Fixed In Version: 2.10.0-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 21:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2004-11-18 17:59:00 UTC
I wrote a patch, now accepted upstream, which adds the SELinux
security context for each process as a new column in the process view.

The patch was committed to upstream CVS HEAD on Nov 12th

See this upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=150020

Once tarballs are available, you'll need to manually enable it with a
"--enable-selinux" configure option, and add Requires/BuildRequires on
libselinux/libselinux-devel

(I'm adding this to the FC4 target tracker so it doesn't get lost)

Comment 1 David Zeuthen 2005-03-21 21:49:23 UTC
Now building in Rawhide with SELinux support. Have a nice day :-)


Note You need to log in before you can comment on or make changes to this bug.